package com.example.orderly.ui.catalog

import android.os.Bundle
import androidx.navigation.ActionOnlyNavDirections
import androidx.navigation.NavDirections
import com.example.orderly.NavGraphDirections
import com.example.orderly.R
import kotlin.Int

public class CatalogFragmentDirections private constructor() {
  private data class ActionNavHomeToDetailFragment(
    public val productId: Int,
  ) : NavDirections {
    public override val actionId: Int = R.id.action_nav_home_to_detailFragment

    public override val arguments: Bundle
      get() {
        val result = Bundle()
        result.putInt("productId", this.productId)
        return result
      }
  }

  public companion object {
    public fun actionNavHomeToNavCart(): NavDirections =
        ActionOnlyNavDirections(R.id.action_nav_home_to_nav_cart)

    public fun actionNavHomeToProfileFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_nav_home_to_profileFragment)

    public fun actionNavHomeToDetailFragment(productId: Int): NavDirections =
        ActionNavHomeToDetailFragment(productId)

    public fun actionNavHomeToMapFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_nav_home_to_mapFragment)

    public fun actionGlobalWelcomeFragment(): NavDirections =
        NavGraphDirections.actionGlobalWelcomeFragment()
  }
}
